Package com.smartgwt.client.types

# Enum CharacterCasing

java.lang.Object
java.lang.Enum<CharacterCasing>
com.smartgwt.client.types.CharacterCasing

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<CharacterCasing>`, `Constable`

public enum CharacterCasing extends Enum<CharacterCasing> implements ValueEnum

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DEFAULT`
  No character translation
  `LOWER`
  Map characters to lowercase
  `UPPER`
  Map characters to uppercase

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static CharacterCasing`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static CharacterCasing[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DEFAULT

    public static final CharacterCasing DEFAULT
    No character translation

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "default".

  - ### UPPER

    public static final CharacterCasing UPPER
    Map characters to uppercase

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "upper".

  - ### LOWER

    public static final CharacterCasing LOWER
    Map characters to lowercase

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "lower".

- ## Method Details

  - ### values

    public static CharacterCasing[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static CharacterCasing valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`